Package twisted :: Package spread :: Module util :: Class LocalAsRemote

[show private | hide private]
[frames | no frames]

## Class LocalAsRemote

A class useful for emulating the effects of remote behavior locally.

Method Summary
| ``callRemote`(self, name, *args, **kw)` Call a specially-designated local method.
| `remoteMethod(self, name)`

Class Variable Summary
`int` | `reportAllTracebacks`

Method Details

### callRemote(self, name, *args, **kw)

Call a specially-designated local method.

self.callRemote('x') will first try to invoke a method named sync_x and return its result (which should probably be a Deferred). Second, it will look for a method called async_x, which will be called and then have its result (or Failure) automatically wrapped in a Deferred.

Class Variable Details

### reportAllTracebacks

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Thu May 8 13:19:03 2003 | http://epydoc.sf.net